/*
 * Class WEL_RGN_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_553 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_553 [] = {0xFF01,1551,552,0xFFFF};
static const EIF_TYPE_INDEX egt_2_553 [] = {0xFF01,552,0xFFFF};
static const EIF_TYPE_INDEX egt_3_553 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_553 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_553 [] = {0xFF01,552,0xFFFF};
static const EIF_TYPE_INDEX egt_6_553 [] = {0xFF01,552,0xFFFF};
static const EIF_TYPE_INDEX egt_7_553 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_553 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_553 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_553 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_553 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_553 [] = {0xFF01,552,0xFFFF};


static const struct desc_info desc_553[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_553), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_553), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_553), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_553), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_553), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_553), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_553), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_553), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_553), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_553), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_553), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_553), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0451 /*552*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_553), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9749, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9737, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9738, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9739, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9740, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9741, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9742, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9743, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9744, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9745, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9746, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9747, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9748, 0xFFFFFFFF},
};
void Init553(void)
{
	IDSC(desc_553, 0, 552);
	IDSC(desc_553 + 1, 1, 552);
	IDSC(desc_553 + 32, 97, 552);
}


#ifdef __cplusplus
}
#endif
